LibreOffice: DrawPage Service Reference

LibreOffice LibreOffice 7.6 SDK API Reference

Loading...
Searching...
No Matches
Included Services | Exported Interfaces | List of all members
DrawPage Service Referencepublished

This service specifies a page for the actual draw pages to contain the drawings. More...

`import <DrawPage.idl;`

Inheritance diagram for DrawPage:

## Included Services
service | com::sun::star::drawing::GenericDrawPage
| This service describes the base functionality that every draw/master page has.

## Exported Interfaces
interface | com::sun::star::drawing::XMasterPageTarget
| provides the link to a MasterPage.
interface | com::sun::star::form::XFormsSupplier
| provides access to the hierarchy of form components belonging to the draw page.
Exported Interfaces inherited from GenericDrawPage
interface | com::sun::star::drawing::XShapes
| manages the Shapes of this page.
interface | com::sun::star::drawing::XShapeGrouper
| With this interface you can group/ungroup a collection of Shapes.
interface | com::sun::star::drawing::XShapeCombiner
| With this interface you can combine/split a collection of Shapes.
interface | com::sun::star::drawing::XShapeBinder
| With this interface you can bind/unbind a collection of Shapes.
interface | com::sun::star::container::XNamed
| Gets or sets the name of this page.
interface | com::sun::star::beans::XPropertySet
| gives you access to the properties of this DrawPage.

## Additional Inherited Members
Public Member Functions inherited from XShapes
void | add ([in] com::sun::star::drawing::XShape xShape)
| inserts a Shape into this collection.
void | remove ([in] com::sun::star::drawing::XShape xShape)
| removes a Shape from this collection.
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XShapeGrouper
com::sun::star::drawing::XShapeGroup | group ([in] com::sun::star::drawing::XShapes xShapes)
| groups the Shapes inside a collection.
void | ungroup ([in] com::sun::star::drawing::XShapeGroup aGroup)
| ungroups a given GroupShape.
Public Member Functions inherited from XMasterPageTarget
com::sun::star::drawing::XDrawPage | getMasterPage ()
void | setMasterPage ([in] com::sun::star::drawing::XDrawPage xMasterPage)
| links a MasterPage to this object.
Public Attributes inherited from GenericDrawPage
long | BorderBottom
| This is the border at the bottom.
long | BorderLeft
| This is the border at the left.
long | BorderRight
| This is the border at the right.
long | BorderTop
| This is the border at the top.
long | Height
| This is the height.
long | Width
| This is the width.
short | Number
| This is the number of this page, starting with 1.
com::sun::star::view::PaperOrientation | Orientation
| This is the orientation of this page.
com::sun::star::container::XNameContainer | UserDefinedAttributes
| this property stores xml attributes.
boolean | IsBackgroundDark
| this property is true if the averaged background filling colors luminance is below an application specified threshold value.
com::sun::star::container::XIndexAccess | NavigationOrder
| this index access defines a navigation order for the top level shapes inside this page.
boolean | BackgroundFullSize
| does the background cover the full page or only inside the margins?
Protected Member Functions inherited from XShapeCombiner
com::sun::star::drawing::XShape | combine ([in] com::sun::star::drawing::XShapes xShapes)
| combines Shapes
void | split ([in] com::sun::star::drawing::XShape Group)
| splits Shapes.
Protected Member Functions inherited from XShapeBinder
com::sun::star::drawing::XShape | bind ([in] com::sun::star::drawing::XShapes xShapes)
| binds Shapes together.
void | unbind ([in] com::sun::star::drawing::XShape xShape)
| breaks a Shape into its line segments
Protected Member Functions inherited from XNamed
string | getName ()
void | setName ([in] string aName)
| sets the programmatic name of the object.
Protected Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Protected Member Functions inherited from XFormsSupplier
com::sun::star::container::XNameContainer | getForms ()
| accesses the forms.

## Detailed Description

This service specifies a page for the actual draw pages to contain the drawings.

See also
  GenericDrawPage
  DrawPages

Developers Guide
  Drawings and Presentations - Working with Drawing Documents - Document Structure

## Exported Interfaces

## ◆ com::sun::star::drawing::GenericDrawPage

service com::sun::star::drawing::GenericDrawPage

This service describes the base functionality that every draw/master page has.

## Exported Interfaces

## ◆ com::sun::star::drawing::XMasterPageTarget

interface com::sun::star::drawing::XMasterPageTarget

provides the link to a MasterPage.

## ◆ com::sun::star::form::XFormsSupplier

interface com::sun::star::form::XFormsSupplier
| optional

provides access to the hierarchy of form components belonging to the draw page.

Every draw page may contain a form layer - that is, a hierarchy of form elements. The layer can be accessed using this interface.

See also
  com::sun::star::form::FormComponent
  com::sun::star::form::FormComponents
  com::sun::star::form::Forms

The documentation for this service was generated from the following file:

- com/sun/star/drawing/DrawPage.idl